Logo
OpenScaler

Request alpha access

POST
/v1/account/alpha-access

Submit a request for alpha platform access.

Authorization

bearer_auth
AuthorizationBearer <token>

Authentication

Create an API token on Profile. Send it in the Authorization header:

Authorization: Bearer os1_...

Do not use the Keycloak web-session JWT as an API token. Keep the secret secure and do not share it.

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Request body for submitting an alpha platform access application.

Response Body

application/json

application/json

text/pain

application/json

application/json

curl -X POST "https://example.com/v1/account/alpha-access" \  -H "Content-Type: application/json" \  -d '{    "full_name": "John Doe",    "email": "john.doe@example.com",    "profession": "Software Engineer",    "motivation": "I want to be in the alpha program to test the platform",    "quota": 1,    "access_days": 30,    "terms": true  }'
{  "order_id": "019dd518-7b37-7b33-99a7-85d78d7a3320",  "status": "pending"}
{  "errors": [    {      "message": "'vcpus' field must be an integer",      "field": "resource_id"    }  ]}
"Access denied"
{  "errors": [    {      "message": "User not initialized. Send POST /v1/init, then retry the request."    }  ]}
{  "errors": [    {      "message": "VM with ID 23 not found"    }  ]}